import * as ActionTypes from '../actionTypes'
import {
  SetRelayMapAction,
  SetMostPopularRelaysAction,
  SetRelayInfoAction,
  SetRelayMapUpdatedAction
} from './types'
import { RelayMap, RelayInfoObject } from '../../types'

export const setRelayMapAction = (payload: RelayMap): SetRelayMapAction => ({
  type: ActionTypes.SET_RELAY_MAP,
  payload
})

export const setRelayInfoAction = (
  payload: RelayInfoObject
): SetRelayInfoAction => ({
  type: ActionTypes.SET_RELAY_INFO,
  payload
})

export const setMostPopularRelaysAction = (
  payload: string[]
): SetMostPopularRelaysAction => ({
  type: ActionTypes.SET_MOST_POPULAR_RELAYS,
  payload
})

export const setRelayMapUpdatedAction = (): SetRelayMapUpdatedAction => ({
  type: ActionTypes.SET_RELAY_MAP_UPDATED
})
